# Configure Cache

{% hint style="info" %}
NOTE: before enabling cache make sure you have installed and enabled the cache extension.
{% endhint %}

### **APC / APCu**

You need to edit your config.php file and the following line

```php
   define('OSC_CACHE', 'apc');
```

### **MEMCACHE**

You need to know ip and port of the machine/s where memcached service is installed and then add the following lines to the file config.php

```php
   define('OSC_CACHE', 'memcache');
   $_cache_config[] = array(
       'default_host'      => '127.0.0.1',
       'default_port'      => 11211,
       'default_weight'    => 1
   );
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mindstellar.com/osclass-docs/configuring-osclass/configure-cache.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
